using System;

internal sealed class Delegate824 : MulticastDelegate
{
	public extern int Invoke();

	public static int smethod_0(Delegate824 delegate824_0)
	{
		return delegate824_0();
	}

	public extern Delegate824(object object_0, IntPtr intptr_0);

	static Delegate824()
	{
		Class10.smethod_13(typeof(Delegate824).TypeHandle);
	}

	internal static Delegate824 gsRnubYcDc;
}
